TULISAN - Feature #3969

Menu Goods Receipt QA dan Goods Receipt Approve
10/27/2025 05:42 PM - haykal haykal

Status: Assigned Start date: 10/27/2025
Priority: High Due date: 10/29/2025
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,
Telah dibuatkan dua menu baru yaitu Goods Receipt QA dan Goods Receipt Approve.

Goods Receipt QA adalah menu yang disediakan untk orang yang mentransfer barang ke QA (atau untk orang QA). Tolong di menu
ini document status yang muncul hanya Draft, Submit, dan Cancel (DocStatus 1, 2, 4).

Document Status Draft (DocStatus 1): Masih draft (blm final). Tidak berpengaruh kemana-mana
Document Status Submit (DocStatus 2): Sudah final. Berlanjut ke menu Goods Receipt Approve
Document Status Cancel (DocStatus 4): Dokumen dicancel

Notes: Di menu ini memungkinkan untk muncul document status Revise karena hasil revise dari menu Goods Receipt Approve. Tlg
dibuat validasi setelah user merevisi dan ingin mengesave document tidak bisa dengan document status Revise (hanya bisa dengan
document status yg saya sebutkan diatas)

MenulD: RCSPREQ

Goods Receipt Approve adalah menu yang disediakan utk orang yg berwenang untuk melakukan Approve. Artinya barang sudah ok
masuk ke gudang. Apabila DocStatus Approved maka stock barang sudah bertambah di gudang. Di menu ini pilihan docstatus yang
muncul adalah Submit, Approved, Revise, dan Cancel. Untk menuju ke menu ini bisa melalui widget yg dibuat di Home (redmine
terpisah)

Document Status Submit (DocStatus 2): Ini adalah document status yg perlu diubah Approver menjadi Approved. Kalau tidak diubah
berarti stay saja, dan tidak berpengaruh kemana-mana

Document Status Approved (DocStatus 3): Artinya barang sudah ok masuk ke gudang. Menambah stok untk barang tersebut
Document Status Cancel (DocStatus 4): Dokumen dicancel

Document Status Revise (DocStatus 5): Dokumen perlu direvisi dan kembali ke requester (kembali ke menu Goods Receipt QA).
Untk ini bisa melalui widget di Home (redmine terpisah)

Notes:

-Di menu ini tlg button Create Ref nya difreeze / dihilangkan

-Tlg agar dokumen yg sudah pernah Approved tidak bisa diCancel
MenulD: RCSPAPPR

Telah dibuatkan juga tab Approver untk menampung informasi terkait approver (Untk PICnya bakal terauto berdasarkan DocType
dan Warehouse masih menunggu konfirmasi Tulisan)

Tabel DocStatus: PCMBSLOGDOCSTATUS
Tabel Approver: DOCAPPROVER
Menu Path: Logistic & Service > Inventory Document > Goods Receipt QA & Goods Receipt Approve

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (103.153.60.89)

Terimakasih.

History

#1 - 10/27/2025 05:44 PM - haykal haykal
- Description updated

#2 - 10/27/2025 05:45 PM - Kezia Pawitra Yulianti
- Due date set to 10/29/2025
- Status changed from New to Assigned

- Priority changed from Normal to High
